# $Revision: 1.33 $, $Date: 2011/09/01 06:55:00 $
Summary:	Network traffic monitoring utility
Summary(pl.UTF-8):	Narzędzie do monitorowania ruchu w sieci
Name:		trafshow
Version:	5.2.3
Release:	5
License:	Free copying + BSD license
Group:		Networking/Utilities
Source0:	ftp://ftp.nsk.su/pub/RinetSoftware/%{name}-%{version}.tgz
# Source0-md5:	0b2f0bb23b7832138b7d841437b9e182
Patch0:		%{name}-preprocessor.patch
URL:		http://soft.risp.ru/trafshow/
BuildRequires:	automake
BuildRequires:	libpcap-devel
BuildRequires:	ncurses-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
trafshow is a ncurses based utility showing you in detail the network
traffic. It shows you a table with source address, source port,
destination address, destination port, IP proto, byte counter and CPS.
Counters are updated on package receiving, and the table is resorted
by byte counter with given interval.

trafshow accept filters like tcpdump so you can inspect a required
part of network traffic.

%description -l pl.UTF-8
trafshow jest opartym o ncurses narzędziem pokazującym szczegółowo
ruch w sieci. Pokazuje tabelę z adresami i portami źródłowymi,
adresami i portami docelowymi, protokołem, liczbą bajtów i CPS.
Liczniki są uaktualniane po otrzymaniu pakietu, a tabela ponownie
sortowana po ilości bajtów co podany czas.

trafshow akceptuje filtry podobne do tcpdump, więc można śledzić
wybraną część ruchu.

%prep
%setup -q
%patch0 -p1
sed -i 's/static//' screen.c

%build
cp -f /usr/share/automake/config.sub .
export LIBS="-ltinfo"
%configure2_13
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1,%{_sysconfdir}}
install trafshow $RPM_BUILD_ROOT%{_sbindir}
install trafshow.1 $RPM_BUILD_ROOT%{_mandir}/man1
install .trafshow $RPM_BUILD_ROOT%{_sysconfdir}/trafshow

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_sbindir}/trafshow
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/trafshow
%{_mandir}/man1/trafshow.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: trafshow.spec,v $
Revision 1.33  2011/09/01 06:55:00  arekm
- release 5

Revision 1.32  2011/01/06 20:27:46  sparky
- fix build with --no-add-needed ldflag

Revision 1.31  2010/12/07 19:58:26  arekm
- release 4

Revision 1.30  2010/04/03 17:30:23  glen
- release 3

Revision 1.29  2009/08/28 14:18:10  cactus
- rel 2; with preprocessor patch

Revision 1.28  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.27  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.26  2006/08/21 15:03:16  darekr
- added %config,%verify() for config file
- BR sed4, added CHANGES file to %doc

Revision 1.25  2006/03/20 22:22:43  maciek2w
- updated to 5.2.3

Revision 1.24  2005/06/18 17:46:28  areq
- 5.2.1

Revision 1.23  2005/02/11 17:10:40  darekr
- cosmetics

Revision 1.22  2004/10/29 13:47:42  paladine
- spelling fixes

Revision 1.21  2004/01/24 23:41:16  undefine
- update to 4.0

Revision 1.20  2004/01/24 23:20:35  undefine
- release 2

Revision 1.19  2003/09/15 08:02:36  ankry
- don't put patches on distfiles

Revision 1.18  2003/09/14 23:30:00  hunter
- work with ppp0

Revision 1.17  2003/09/14 22:21:54  hunter
- ipv6 patch
- config file w/ colors

Revision 1.16  2003/05/28 13:02:20  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:27:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/02/23 04:55:16  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/31 21:31:04  ankry
- added Group(es/pt_BR)

Revision 1.11  2002/01/18 02:15:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2002/01/01 19:51:45  areq
- update to 3.1, STBR
- remove obsolete patches

Revision 1.9  2002/01/01 18:09:51  misiek
- it compiles now

Revision 1.8  2001/10/03 10:13:02  qboosh
- pl description, URL, Source0 URL (note: 3.1 on ftp)

Revision 1.7  2001/05/03 01:14:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/12/28 15:26:48  baggins
- release 3
- added glibc patch
- fixed CFLAGS

Revision 1.5  2000/07/13 23:27:39  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.4  2000/06/09 07:55:12  kloczek
- more %%{__make} macros.

Revision 1.3  2000/05/24 10:09:47  yaro
- added BuildRequires

Revision 1.2  2000/05/24 09:51:09  yaro
- spec rewrited
- trafshow uses now system libpcap
